%define name ksqlplus
%define version 0.9.4
%define release 2
%define prefix /usr

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: KDE frontend for ORACLE SQL*Plus
Name: %{name}
Version: %{version}
Release: %{release}
Prefix: %{prefix}
Group: X11/KDE/Database
Copyright: GPL
Vendor: Yury Lebedev <yurylebedev@mail.ru>
Packager: Yury Lebedev <yurylebedev@mail.ru>
Source0: %{name}-%{version}.tar.gz
URL: http://devel-home.kde.org/~ksqlplus
Requires: kdelibs >= 1.1.1
BuildRoot: /tmp/build-%{name}-%{version}

%description
KSqlPlus is the KDE application which provides convenient
interface to terminal application ORACLE SQL*Plus (sqlplus).
KSqlPlus works with SQL*Plus as with separate child process
(using KProcess class from kdecore). Also, KSqlPlus can work
with REMOTE SQL*Plus via RSH/SSH. KSqlPlus looks like Oracle
SQL Worksheet for Windows from the "Oracle Enterprise Manager"
package and has same features.

%prep
rm -rf %{builddir}

%setup -q -a 0
touch `find . -type f`

%build
if [ -z "$KDEDIR" ]; then
	export KDEDIR=%{prefix}
fi

CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=$KDEDIR --with-qt-dir=/usr/lib/qt-1.45
make

%install
if [ -z "$KDEDIR" ]; then
	export KDEDIR=%{prefix}
fi

rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}
echo "%docdir $KDEDIR/doc" >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}
rm -f $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
